/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.3 Umfassende Datenanalyse
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.uda.interpreter.ausdruck;

/**
 * Schnittstelle für Klassen, auf deren Elemente über einen Namen zugegriffen
 * werden kann.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public interface Struktur {
	/**
	 * liefert das Element des Objekts, dass mit dem übergebenen Namen
	 * spezifiziert wird.
	 *
	 * @param name
	 *            der Name
	 * @return das Objekt
	 * @see #setStrukturElement(String, Object)
	 */
	Object getStrukturElement(String name);

	/**
	 * setzt das Element des Objekts, dass mit dem übergebenen Namen beschrieben
	 * wird auf den übergebenen Wert.
	 *
	 * @param name
	 *            der Name
	 * @param daten
	 *            das Datenobjekt
	 * @see #getStrukturElement(String)
	 */
	void setStrukturElement(String name, Object daten);
}
