/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.3 Umfassende Datenanalyse
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.uda.interpreter.daten.konstante;

import org.junit.Assert;

import de.bsvrz.sys.funclib.bitctrl.interpreter.InterpreterException;

/**
 * Testfälle für die Klasse: ZeichenkettenLiteral.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public class ZeichenkettenLiteralTest {

	/**
	 * Das ZeichenkettenLiteral wurde mit dem Wert <i>null</i> initialisiert. Es
	 * sollte eine Exception geworfen werden.
	 */
	@org.junit.Test(expected = InterpreterException.class)
	public void konstruktorMitNull() {
		new ZeichenkettenLiteral(null);
	}

	/**
	 * Das ZeichenkettenLiteral wurde mit einer Zeichenkette, die nicht mit
	 * Anführungszeichen eingeschlossen ist initialisiert. Es sollte eine
	 * Exception geworfen werden.
	 */
	@org.junit.Test(expected = InterpreterException.class)
	public void konstruktorMitUngueltigemString() {
		new ZeichenkettenLiteral("");
	}

	/**
	 * Testet, ob die Sonderzeichendefinitionen korrekt umgesetzt werden.
	 */
	@org.junit.Test
	public void umsetzungVonSonderzeichen() {
		ZeichenkettenLiteral literal = new ZeichenkettenLiteral("\"\"");
		Assert.assertEquals("", literal.interpret(null));
		literal = new ZeichenkettenLiteral("\"abc\\\\123\\\"456\\\"\"");
		Assert.assertEquals("Unerwartetes Ergebnis", "abc\\123\"456\"", literal.interpret(null));
	}
}
